Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4425 closed defect (fixed)

GcovFunctionData.cc: Copy into fixed size buffer errors spotted by Coverity

Reported by: Ryan Long Owned by:
Priority: normal Milestone: 6.1
Component: tool Version: 6
Severity: normal Keywords: Coverity
Cc: Blocked By:
Blocking:

Description

CID 1063892: Copy into fixed size buffer in addBlock().

   CID 1399613 (#1 of 1): Copy into fixed size buffer (STRING_OVERFLOW)1. fixed_size_dest: You might overrun the 256-character fixed-size string block.sourceFileName by copying sourceFileName without checking the length.
   2. parameter_as_source: Note: This defect has an elevated risk because the source argument is a parameter of the current function.
184    strcpy (block.sourceFileName, sourceFileName);

CID 1399616: Copy into fixed size buffer in setBlockFileName().

   CID 1399616 (#1 of 1): Copy into fixed size buffer (STRING_OVERFLOW)1. fixed_size_dest: You might overrun the 256-character fixed-size string block->sourceFileName by copying fileName without checking the length.
   2. parameter_as_source: Note: This defect has an elevated risk because the source argument is a parameter of the current function.
298    strcpy(block->sourceFileName, fileName);

Change History (3)

comment:1 in reply to:  description Changed on 05/17/21 at 21:57:02 by Ryan Long

Replying to Ryan Long:

CID 1063892: Copy into fixed size buffer in addBlock().

CID is actually 1399613

   CID 1399613 (#1 of 1): Copy into fixed size buffer (STRING_OVERFLOW)1. fixed_size_dest: You might overrun the 256-character fixed-size string block.sourceFileName by copying sourceFileName without checking the length.
   2. parameter_as_source: Note: This defect has an elevated risk because the source argument is a parameter of the current function.
184    strcpy (block.sourceFileName, sourceFileName);

CID 1399616: Copy into fixed size buffer in setBlockFileName().

   CID 1399616 (#1 of 1): Copy into fixed size buffer (STRING_OVERFLOW)1. fixed_size_dest: You might overrun the 256-character fixed-size string block->sourceFileName by copying fileName without checking the length.
   2. parameter_as_source: Note: This defect has an elevated risk because the source argument is a parameter of the current function.
298    strcpy(block->sourceFileName, fileName);

comment:2 Changed on 05/18/21 at 15:57:49 by Ryan Long

Keywords: Coverity added

comment:3 Changed on 12/16/21 at 20:49:57 by Ryan Long

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.